Page MenuHomePhabricator

characterEditStats.php: allow --days > $wgRCMaxAge by using revision table
Closed, ResolvedPublic

Description

As clarified in https://gerrit.wikimedia.org/r/119482 , the script uses RC, which limits time period available. It would be nice to fallback to revision table when needed, to further enhance T60440: Run characterEditStats.php regularly on Translate wikis and publish output somewhere.

Details

Reference
bz62833

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:02 AM
bzimport set Reference to bz62833.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Mar 19 2014, 2:38 PM

Change 213308 had a related patch set uploaded (by Nemo bis):
characterEditStats.php: allow using the revision table

https://gerrit.wikimedia.org/r/213308

Nemo_bis claimed this task.May 25 2015, 8:55 AM
Nemo_bis set Security to None.
Qgil added a subscriber: Qgil.Jun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward. * If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start. * If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project. * If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer). * Keeping the description, priority and assigned fields up to date always helps. :) For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Change 295735 had a related patch set uploaded (by Nemo bis):
[WIP] Add custom query to characterEditStats.php when $wgRCMaxAge is too low

https://gerrit.wikimedia.org/r/295735

I am adding to the sprint since I already started working on this. I need review for the patch https://gerrit.wikimedia.org/r/#/c/295735/

Nikerabbit updated the task description. (Show Details)
Qgil removed a subscriber: Qgil.Aug 12 2016, 9:46 AM

Change 213308 abandoned by Nikerabbit:
characterEditStats.php: allow using the revision table

Reason:
Ib830b6b888eb4fc048c4a3a74c30e82096a372c2 is a better one.

https://gerrit.wikimedia.org/r/213308

Arrbee added a subscriber: Arrbee.Aug 17 2016, 6:37 AM

Timeboxed to: 22 August 2016

Change 295735 merged by jenkins-bot:
characterEditStats.php: simplify and support date ranges past $wgRCMaxAge

https://gerrit.wikimedia.org/r/295735

https://meta.wikimedia.org/wiki/Meta:Babylon/Translation_stats should receive correct statistics for the first time on 2016-08-29.

Nikerabbit closed this task as Resolved.Aug 29 2016, 9:01 AM
Nemo_bis raised the priority of this task from Lowest to Normal.Aug 29 2016, 9:03 AM